> For the complete documentation index, see [llms.txt](https://developers.incidents.cloud.solarwinds.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developers.incidents.cloud.solarwinds.com/api-reference/teams.md).

# Teams

## Get All Teams

> Returns all the teams of the organization.\
> Requires \`access\_token\` as a \`Bearer {{token}}\` in the \`Authorization\` header with \`read\` scope.

```json
{"openapi":"3.1.0","info":{"title":"Squadcast","version":"1.0.0"},"tags":[{"name":"Teams"}],"servers":[{"url":"https://api.squadcast.com","description":"production US env","variables":{}},{"url":"https://api.eu.squadcast.com","description":"production EU env","variables":{}}],"security":[{"BearerAuth":[]}],"components":{"securitySchemes":{"BearerAuth":{"type":"http","scheme":"bearer"}},"schemas":{"V3.Teams.TeamResponse":{"type":"object","allOf":[{"$ref":"#/components/schemas/V3.Teams.TeamWithOrganization"}]},"V3.Teams.TeamWithOrganization":{"type":"object","required":["id","created_at","updated_at","created_by","organization_id","name","description","slug","members","default","organization"],"properties":{"id":{"type":"string"},"created_at":{"type":"string"},"updated_at":{"type":"string"},"created_by":{"type":"string"},"organization_id":{"type":"string"},"name":{"type":"string"},"description":{"type":"string"},"slug":{"type":"string"},"members":{"type":"array","items":{"$ref":"#/components/schemas/V3.Teams.TeamMember"}},"roles":{"type":"array","items":{"$ref":"#/components/schemas/V3.Teams.TeamRole"}},"default":{"type":"boolean"},"organization":{"type":"object","properties":{"id":{"type":"string"},"name":{"type":"string"},"slug":{"type":"string"}},"required":["id","name","slug"]}}},"V3.Teams.TeamMember":{"type":"object","required":["user_id"],"properties":{"user_id":{"type":"string"},"role":{"type":"string"},"role_ids":{"type":"array","items":{"type":"string"}},"abilities":{"$ref":"#/components/schemas/V3.Teams.Abilities"}}},"V3.Teams.Abilities":{"type":"object","properties":{"escalation_policies":{"type":"object","properties":{"create-escalation-policies":{"type":"boolean"},"read-escalation-policies":{"type":"boolean"},"update-escalation-policies":{"type":"boolean"},"delete-escalation-policies":{"type":"boolean"}}},"schedules":{"type":"object","properties":{"create-schedules":{"type":"boolean"},"read-schedules":{"type":"boolean"},"update-schedules":{"type":"boolean"},"delete-schedules":{"type":"boolean"}}},"services":{"type":"object","properties":{"create-services":{"type":"boolean"},"read-services":{"type":"boolean"},"update-services":{"type":"boolean"},"delete-services":{"type":"boolean"}}},"squads":{"type":"object","properties":{"create-squads":{"type":"boolean"},"read-squads":{"type":"boolean"},"update-squads":{"type":"boolean"},"delete-squads":{"type":"boolean"}}},"stakeholder_groups":{"type":"object","properties":{"create-stakeholder-groups":{"type":"boolean"},"read-stakeholder-groups":{"type":"boolean"},"update-stakeholder-groups":{"type":"boolean"},"delete-stakeholder-groups":{"type":"boolean"}}},"runbooks":{"type":"object","properties":{"create-runbooks":{"type":"boolean"},"read-runbooks":{"type":"boolean"},"update-runbooks":{"type":"boolean"},"delete-runbooks":{"type":"boolean"}}},"postmortems":{"type":"object","properties":{"create-postmortems":{"type":"boolean"},"read-postmortems":{"type":"boolean"},"update-postmortems":{"type":"boolean"},"delete-postmortems":{"type":"boolean"}}},"status_pages":{"type":"object","properties":{"create-status-pages":{"type":"boolean"},"read-status-pages":{"type":"boolean"},"update-status-pages":{"type":"boolean"},"delete-status-pages":{"type":"boolean"}}},"team_analytics":{"type":"object","properties":{"read-team-analytics":{"type":"boolean"}}},"slos":{"type":"object","properties":{"create-slos":{"type":"boolean"},"read-slos":{"type":"boolean"},"update-slos":{"type":"boolean"},"delete-slos":{"type":"boolean"}}},"webforms":{"type":"object","properties":{"create-webforms":{"type":"boolean"},"read-webforms":{"type":"boolean"},"update-webforms":{"type":"boolean"},"delete-webforms":{"type":"boolean"}}},"workflows":{"type":"object","properties":{"create-workflows":{"type":"boolean"},"read-workflows":{"type":"boolean"},"update-workflows":{"type":"boolean"},"delete-workflows":{"type":"boolean"}}},"ger":{"type":"object","properties":{"create-ger":{"type":"boolean"},"read-ger":{"type":"boolean"},"update-ger":{"type":"boolean"},"delete-ger":{"type":"boolean"}}},"routing_numbers":{"type":"object","properties":{"create-routing-numbers":{"type":"boolean"},"read-routing-numbers":{"type":"boolean"},"update-routing-numbers":{"type":"boolean"},"delete-routing-numbers":{"type":"boolean"}}},"global_oncall_reminder_rules":{"type":"object","properties":{"create-global-oncall-reminder-rules":{"type":"boolean"},"read-global-oncall-reminder-rules":{"type":"boolean"},"update-global-oncall-reminder-rules":{"type":"boolean"},"delete-global-oncall-reminder-rules":{"type":"boolean"}}}}},"V3.Teams.TeamRole":{"type":"object","required":["id","name","slug","default"],"properties":{"id":{"type":"string"},"name":{"type":"string"},"slug":{"type":"string"},"default":{"type":"boolean"},"abilities":{"$ref":"#/components/schemas/V3.Teams.Abilities"}}},"Common.V3.ErrorMeta":{"type":"object","required":["status","error_message"],"properties":{"status":{"anyOf":[{"type":"string"},{"type":"integer"}]},"error_message":{"type":"string"}},"description":"Represents a single response containing data of type T."}}},"paths":{"/v3/teams":{"get":{"operationId":"Teams_getAllTeams","summary":"Get All Teams","description":"Returns all the teams of the organization.\nRequires `access_token` as a `Bearer {{token}}` in the `Authorization` header with `read` scope.","parameters":[],"responses":{"200":{"description":"The request has succeeded.","content":{"application/json":{"schema":{"type":"object","required":["data"],"properties":{"data":{"type":"array","items":{"$ref":"#/components/schemas/V3.Teams.TeamResponse"}}}}}}},"400":{"description":"The server could not understand the request due to invalid syntax.","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"401":{"description":"Access is unauthorized.","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"402":{"description":"Client error","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"403":{"description":"Access is forbidden.","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"404":{"description":"The server cannot find the requested resource.","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"409":{"description":"The request conflicts with the current state of the server.","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"422":{"description":"Client error","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"500":{"description":"Server error","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"502":{"description":"Server error","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"503":{"description":"Service unavailable.","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"504":{"description":"Server error","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}}},"tags":["Teams"]}}}}
```

## Create Team

> Add team to the organization. Returns the team object in response.\
> Requires \`access\_token\` as a \`Bearer {{token}}\` in the \`Authorization\` header with \`user-write\` scope.

```json
{"openapi":"3.1.0","info":{"title":"Squadcast","version":"1.0.0"},"tags":[{"name":"Teams"}],"servers":[{"url":"https://api.squadcast.com","description":"production US env","variables":{}},{"url":"https://api.eu.squadcast.com","description":"production EU env","variables":{}}],"security":[{"BearerAuth":[]}],"components":{"securitySchemes":{"BearerAuth":{"type":"http","scheme":"bearer"}},"schemas":{"V3.Teams.TeamResponse":{"type":"object","allOf":[{"$ref":"#/components/schemas/V3.Teams.TeamWithOrganization"}]},"V3.Teams.TeamWithOrganization":{"type":"object","required":["id","created_at","updated_at","created_by","organization_id","name","description","slug","members","default","organization"],"properties":{"id":{"type":"string"},"created_at":{"type":"string"},"updated_at":{"type":"string"},"created_by":{"type":"string"},"organization_id":{"type":"string"},"name":{"type":"string"},"description":{"type":"string"},"slug":{"type":"string"},"members":{"type":"array","items":{"$ref":"#/components/schemas/V3.Teams.TeamMember"}},"roles":{"type":"array","items":{"$ref":"#/components/schemas/V3.Teams.TeamRole"}},"default":{"type":"boolean"},"organization":{"type":"object","properties":{"id":{"type":"string"},"name":{"type":"string"},"slug":{"type":"string"}},"required":["id","name","slug"]}}},"V3.Teams.TeamMember":{"type":"object","required":["user_id"],"properties":{"user_id":{"type":"string"},"role":{"type":"string"},"role_ids":{"type":"array","items":{"type":"string"}},"abilities":{"$ref":"#/components/schemas/V3.Teams.Abilities"}}},"V3.Teams.Abilities":{"type":"object","properties":{"escalation_policies":{"type":"object","properties":{"create-escalation-policies":{"type":"boolean"},"read-escalation-policies":{"type":"boolean"},"update-escalation-policies":{"type":"boolean"},"delete-escalation-policies":{"type":"boolean"}}},"schedules":{"type":"object","properties":{"create-schedules":{"type":"boolean"},"read-schedules":{"type":"boolean"},"update-schedules":{"type":"boolean"},"delete-schedules":{"type":"boolean"}}},"services":{"type":"object","properties":{"create-services":{"type":"boolean"},"read-services":{"type":"boolean"},"update-services":{"type":"boolean"},"delete-services":{"type":"boolean"}}},"squads":{"type":"object","properties":{"create-squads":{"type":"boolean"},"read-squads":{"type":"boolean"},"update-squads":{"type":"boolean"},"delete-squads":{"type":"boolean"}}},"stakeholder_groups":{"type":"object","properties":{"create-stakeholder-groups":{"type":"boolean"},"read-stakeholder-groups":{"type":"boolean"},"update-stakeholder-groups":{"type":"boolean"},"delete-stakeholder-groups":{"type":"boolean"}}},"runbooks":{"type":"object","properties":{"create-runbooks":{"type":"boolean"},"read-runbooks":{"type":"boolean"},"update-runbooks":{"type":"boolean"},"delete-runbooks":{"type":"boolean"}}},"postmortems":{"type":"object","properties":{"create-postmortems":{"type":"boolean"},"read-postmortems":{"type":"boolean"},"update-postmortems":{"type":"boolean"},"delete-postmortems":{"type":"boolean"}}},"status_pages":{"type":"object","properties":{"create-status-pages":{"type":"boolean"},"read-status-pages":{"type":"boolean"},"update-status-pages":{"type":"boolean"},"delete-status-pages":{"type":"boolean"}}},"team_analytics":{"type":"object","properties":{"read-team-analytics":{"type":"boolean"}}},"slos":{"type":"object","properties":{"create-slos":{"type":"boolean"},"read-slos":{"type":"boolean"},"update-slos":{"type":"boolean"},"delete-slos":{"type":"boolean"}}},"webforms":{"type":"object","properties":{"create-webforms":{"type":"boolean"},"read-webforms":{"type":"boolean"},"update-webforms":{"type":"boolean"},"delete-webforms":{"type":"boolean"}}},"workflows":{"type":"object","properties":{"create-workflows":{"type":"boolean"},"read-workflows":{"type":"boolean"},"update-workflows":{"type":"boolean"},"delete-workflows":{"type":"boolean"}}},"ger":{"type":"object","properties":{"create-ger":{"type":"boolean"},"read-ger":{"type":"boolean"},"update-ger":{"type":"boolean"},"delete-ger":{"type":"boolean"}}},"routing_numbers":{"type":"object","properties":{"create-routing-numbers":{"type":"boolean"},"read-routing-numbers":{"type":"boolean"},"update-routing-numbers":{"type":"boolean"},"delete-routing-numbers":{"type":"boolean"}}},"global_oncall_reminder_rules":{"type":"object","properties":{"create-global-oncall-reminder-rules":{"type":"boolean"},"read-global-oncall-reminder-rules":{"type":"boolean"},"update-global-oncall-reminder-rules":{"type":"boolean"},"delete-global-oncall-reminder-rules":{"type":"boolean"}}}}},"V3.Teams.TeamRole":{"type":"object","required":["id","name","slug","default"],"properties":{"id":{"type":"string"},"name":{"type":"string"},"slug":{"type":"string"},"default":{"type":"boolean"},"abilities":{"$ref":"#/components/schemas/V3.Teams.Abilities"}}},"Common.V3.ErrorMeta":{"type":"object","required":["status","error_message"],"properties":{"status":{"anyOf":[{"type":"string"},{"type":"integer"}]},"error_message":{"type":"string"}},"description":"Represents a single response containing data of type T."},"V3.Teams.CreateTeamRequest":{"type":"object","required":["name","member_ids"],"properties":{"name":{"type":"string"},"description":{"type":"string"},"member_ids":{"type":"array","items":{"type":"string"}}}}}},"paths":{"/v3/teams":{"post":{"operationId":"Teams_createTeam","summary":"Create Team","description":"Add team to the organization. Returns the team object in response.\nRequires `access_token` as a `Bearer {{token}}` in the `Authorization` header with `user-write` scope.","parameters":[],"responses":{"201":{"description":"The request has succeeded and a new resource has been created as a result.","content":{"application/json":{"schema":{"type":"object","required":["data"],"properties":{"data":{"$ref":"#/components/schemas/V3.Teams.TeamResponse"}}}}}},"400":{"description":"The server could not understand the request due to invalid syntax.","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"401":{"description":"Access is unauthorized.","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"402":{"description":"Client error","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"403":{"description":"Access is forbidden.","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"404":{"description":"The server cannot find the requested resource.","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"409":{"description":"The request conflicts with the current state of the server.","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"422":{"description":"Client error","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"500":{"description":"Server error","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"502":{"description":"Server error","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"503":{"description":"Service unavailable.","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"504":{"description":"Server error","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}}},"tags":["Teams"],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/V3.Teams.CreateTeamRequest"}}}}}}}}
```

## Get Team By ID

> Returns a team details of the given \`teamID\` in the request param.\
> Requires \`access\_token\` as a \`Bearer {{token}}\` in the \`Authorization\` header with \`read\` scope.

```json
{"openapi":"3.1.0","info":{"title":"Squadcast","version":"1.0.0"},"tags":[{"name":"Teams"}],"servers":[{"url":"https://api.squadcast.com","description":"production US env","variables":{}},{"url":"https://api.eu.squadcast.com","description":"production EU env","variables":{}}],"security":[{"BearerAuth":[]}],"components":{"securitySchemes":{"BearerAuth":{"type":"http","scheme":"bearer"}},"schemas":{"V3.Teams.TeamResponse":{"type":"object","allOf":[{"$ref":"#/components/schemas/V3.Teams.TeamWithOrganization"}]},"V3.Teams.TeamWithOrganization":{"type":"object","required":["id","created_at","updated_at","created_by","organization_id","name","description","slug","members","default","organization"],"properties":{"id":{"type":"string"},"created_at":{"type":"string"},"updated_at":{"type":"string"},"created_by":{"type":"string"},"organization_id":{"type":"string"},"name":{"type":"string"},"description":{"type":"string"},"slug":{"type":"string"},"members":{"type":"array","items":{"$ref":"#/components/schemas/V3.Teams.TeamMember"}},"roles":{"type":"array","items":{"$ref":"#/components/schemas/V3.Teams.TeamRole"}},"default":{"type":"boolean"},"organization":{"type":"object","properties":{"id":{"type":"string"},"name":{"type":"string"},"slug":{"type":"string"}},"required":["id","name","slug"]}}},"V3.Teams.TeamMember":{"type":"object","required":["user_id"],"properties":{"user_id":{"type":"string"},"role":{"type":"string"},"role_ids":{"type":"array","items":{"type":"string"}},"abilities":{"$ref":"#/components/schemas/V3.Teams.Abilities"}}},"V3.Teams.Abilities":{"type":"object","properties":{"escalation_policies":{"type":"object","properties":{"create-escalation-policies":{"type":"boolean"},"read-escalation-policies":{"type":"boolean"},"update-escalation-policies":{"type":"boolean"},"delete-escalation-policies":{"type":"boolean"}}},"schedules":{"type":"object","properties":{"create-schedules":{"type":"boolean"},"read-schedules":{"type":"boolean"},"update-schedules":{"type":"boolean"},"delete-schedules":{"type":"boolean"}}},"services":{"type":"object","properties":{"create-services":{"type":"boolean"},"read-services":{"type":"boolean"},"update-services":{"type":"boolean"},"delete-services":{"type":"boolean"}}},"squads":{"type":"object","properties":{"create-squads":{"type":"boolean"},"read-squads":{"type":"boolean"},"update-squads":{"type":"boolean"},"delete-squads":{"type":"boolean"}}},"stakeholder_groups":{"type":"object","properties":{"create-stakeholder-groups":{"type":"boolean"},"read-stakeholder-groups":{"type":"boolean"},"update-stakeholder-groups":{"type":"boolean"},"delete-stakeholder-groups":{"type":"boolean"}}},"runbooks":{"type":"object","properties":{"create-runbooks":{"type":"boolean"},"read-runbooks":{"type":"boolean"},"update-runbooks":{"type":"boolean"},"delete-runbooks":{"type":"boolean"}}},"postmortems":{"type":"object","properties":{"create-postmortems":{"type":"boolean"},"read-postmortems":{"type":"boolean"},"update-postmortems":{"type":"boolean"},"delete-postmortems":{"type":"boolean"}}},"status_pages":{"type":"object","properties":{"create-status-pages":{"type":"boolean"},"read-status-pages":{"type":"boolean"},"update-status-pages":{"type":"boolean"},"delete-status-pages":{"type":"boolean"}}},"team_analytics":{"type":"object","properties":{"read-team-analytics":{"type":"boolean"}}},"slos":{"type":"object","properties":{"create-slos":{"type":"boolean"},"read-slos":{"type":"boolean"},"update-slos":{"type":"boolean"},"delete-slos":{"type":"boolean"}}},"webforms":{"type":"object","properties":{"create-webforms":{"type":"boolean"},"read-webforms":{"type":"boolean"},"update-webforms":{"type":"boolean"},"delete-webforms":{"type":"boolean"}}},"workflows":{"type":"object","properties":{"create-workflows":{"type":"boolean"},"read-workflows":{"type":"boolean"},"update-workflows":{"type":"boolean"},"delete-workflows":{"type":"boolean"}}},"ger":{"type":"object","properties":{"create-ger":{"type":"boolean"},"read-ger":{"type":"boolean"},"update-ger":{"type":"boolean"},"delete-ger":{"type":"boolean"}}},"routing_numbers":{"type":"object","properties":{"create-routing-numbers":{"type":"boolean"},"read-routing-numbers":{"type":"boolean"},"update-routing-numbers":{"type":"boolean"},"delete-routing-numbers":{"type":"boolean"}}},"global_oncall_reminder_rules":{"type":"object","properties":{"create-global-oncall-reminder-rules":{"type":"boolean"},"read-global-oncall-reminder-rules":{"type":"boolean"},"update-global-oncall-reminder-rules":{"type":"boolean"},"delete-global-oncall-reminder-rules":{"type":"boolean"}}}}},"V3.Teams.TeamRole":{"type":"object","required":["id","name","slug","default"],"properties":{"id":{"type":"string"},"name":{"type":"string"},"slug":{"type":"string"},"default":{"type":"boolean"},"abilities":{"$ref":"#/components/schemas/V3.Teams.Abilities"}}},"Common.V3.ErrorMeta":{"type":"object","required":["status","error_message"],"properties":{"status":{"anyOf":[{"type":"string"},{"type":"integer"}]},"error_message":{"type":"string"}},"description":"Represents a single response containing data of type T."}}},"paths":{"/v3/teams/{teamId}":{"get":{"operationId":"Teams_getTeamById","summary":"Get Team By ID","description":"Returns a team details of the given `teamID` in the request param.\nRequires `access_token` as a `Bearer {{token}}` in the `Authorization` header with `read` scope.","parameters":[{"name":"teamId","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"The request has succeeded.","content":{"application/json":{"schema":{"type":"object","required":["data"],"properties":{"data":{"$ref":"#/components/schemas/V3.Teams.TeamResponse"}}}}}},"400":{"description":"The server could not understand the request due to invalid syntax.","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"401":{"description":"Access is unauthorized.","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"402":{"description":"Client error","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"403":{"description":"Access is forbidden.","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"404":{"description":"The server cannot find the requested resource.","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"409":{"description":"The request conflicts with the current state of the server.","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"422":{"description":"Client error","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"500":{"description":"Server error","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"502":{"description":"Server error","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"503":{"description":"Service unavailable.","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"504":{"description":"Server error","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}}},"tags":["Teams"]}}}}
```

## Update Team

> Update organization team details.\
> Requires \`access\_token\` as a \`Bearer {{token}}\` in the \`Authorization\` header with \`user-write\` scope.

```json
{"openapi":"3.1.0","info":{"title":"Squadcast","version":"1.0.0"},"tags":[{"name":"Teams"}],"servers":[{"url":"https://api.squadcast.com","description":"production US env","variables":{}},{"url":"https://api.eu.squadcast.com","description":"production EU env","variables":{}}],"security":[{"BearerAuth":[]}],"components":{"securitySchemes":{"BearerAuth":{"type":"http","scheme":"bearer"}},"schemas":{"V3.Teams.TeamResponse":{"type":"object","allOf":[{"$ref":"#/components/schemas/V3.Teams.TeamWithOrganization"}]},"V3.Teams.TeamWithOrganization":{"type":"object","required":["id","created_at","updated_at","created_by","organization_id","name","description","slug","members","default","organization"],"properties":{"id":{"type":"string"},"created_at":{"type":"string"},"updated_at":{"type":"string"},"created_by":{"type":"string"},"organization_id":{"type":"string"},"name":{"type":"string"},"description":{"type":"string"},"slug":{"type":"string"},"members":{"type":"array","items":{"$ref":"#/components/schemas/V3.Teams.TeamMember"}},"roles":{"type":"array","items":{"$ref":"#/components/schemas/V3.Teams.TeamRole"}},"default":{"type":"boolean"},"organization":{"type":"object","properties":{"id":{"type":"string"},"name":{"type":"string"},"slug":{"type":"string"}},"required":["id","name","slug"]}}},"V3.Teams.TeamMember":{"type":"object","required":["user_id"],"properties":{"user_id":{"type":"string"},"role":{"type":"string"},"role_ids":{"type":"array","items":{"type":"string"}},"abilities":{"$ref":"#/components/schemas/V3.Teams.Abilities"}}},"V3.Teams.Abilities":{"type":"object","properties":{"escalation_policies":{"type":"object","properties":{"create-escalation-policies":{"type":"boolean"},"read-escalation-policies":{"type":"boolean"},"update-escalation-policies":{"type":"boolean"},"delete-escalation-policies":{"type":"boolean"}}},"schedules":{"type":"object","properties":{"create-schedules":{"type":"boolean"},"read-schedules":{"type":"boolean"},"update-schedules":{"type":"boolean"},"delete-schedules":{"type":"boolean"}}},"services":{"type":"object","properties":{"create-services":{"type":"boolean"},"read-services":{"type":"boolean"},"update-services":{"type":"boolean"},"delete-services":{"type":"boolean"}}},"squads":{"type":"object","properties":{"create-squads":{"type":"boolean"},"read-squads":{"type":"boolean"},"update-squads":{"type":"boolean"},"delete-squads":{"type":"boolean"}}},"stakeholder_groups":{"type":"object","properties":{"create-stakeholder-groups":{"type":"boolean"},"read-stakeholder-groups":{"type":"boolean"},"update-stakeholder-groups":{"type":"boolean"},"delete-stakeholder-groups":{"type":"boolean"}}},"runbooks":{"type":"object","properties":{"create-runbooks":{"type":"boolean"},"read-runbooks":{"type":"boolean"},"update-runbooks":{"type":"boolean"},"delete-runbooks":{"type":"boolean"}}},"postmortems":{"type":"object","properties":{"create-postmortems":{"type":"boolean"},"read-postmortems":{"type":"boolean"},"update-postmortems":{"type":"boolean"},"delete-postmortems":{"type":"boolean"}}},"status_pages":{"type":"object","properties":{"create-status-pages":{"type":"boolean"},"read-status-pages":{"type":"boolean"},"update-status-pages":{"type":"boolean"},"delete-status-pages":{"type":"boolean"}}},"team_analytics":{"type":"object","properties":{"read-team-analytics":{"type":"boolean"}}},"slos":{"type":"object","properties":{"create-slos":{"type":"boolean"},"read-slos":{"type":"boolean"},"update-slos":{"type":"boolean"},"delete-slos":{"type":"boolean"}}},"webforms":{"type":"object","properties":{"create-webforms":{"type":"boolean"},"read-webforms":{"type":"boolean"},"update-webforms":{"type":"boolean"},"delete-webforms":{"type":"boolean"}}},"workflows":{"type":"object","properties":{"create-workflows":{"type":"boolean"},"read-workflows":{"type":"boolean"},"update-workflows":{"type":"boolean"},"delete-workflows":{"type":"boolean"}}},"ger":{"type":"object","properties":{"create-ger":{"type":"boolean"},"read-ger":{"type":"boolean"},"update-ger":{"type":"boolean"},"delete-ger":{"type":"boolean"}}},"routing_numbers":{"type":"object","properties":{"create-routing-numbers":{"type":"boolean"},"read-routing-numbers":{"type":"boolean"},"update-routing-numbers":{"type":"boolean"},"delete-routing-numbers":{"type":"boolean"}}},"global_oncall_reminder_rules":{"type":"object","properties":{"create-global-oncall-reminder-rules":{"type":"boolean"},"read-global-oncall-reminder-rules":{"type":"boolean"},"update-global-oncall-reminder-rules":{"type":"boolean"},"delete-global-oncall-reminder-rules":{"type":"boolean"}}}}},"V3.Teams.TeamRole":{"type":"object","required":["id","name","slug","default"],"properties":{"id":{"type":"string"},"name":{"type":"string"},"slug":{"type":"string"},"default":{"type":"boolean"},"abilities":{"$ref":"#/components/schemas/V3.Teams.Abilities"}}},"Common.V3.ErrorMeta":{"type":"object","required":["status","error_message"],"properties":{"status":{"anyOf":[{"type":"string"},{"type":"integer"}]},"error_message":{"type":"string"}},"description":"Represents a single response containing data of type T."},"V3.Teams.UpdateTeamRequest":{"type":"object","required":["members"],"properties":{"name":{"type":"string"},"description":{"type":"string"},"members":{"type":"array","items":{"type":"object","properties":{"user_id":{"type":"string"},"role":{"type":"string","description":"this field is required if you are using OBAC permission model"},"role_ids":{"type":"array","items":{"type":"string"},"description":"this field is required if you are using RBAC permission model"}},"required":["user_id","role_ids"]}}}}}},"paths":{"/v3/teams/{teamId}":{"put":{"operationId":"Teams_updateTeam","summary":"Update Team","description":"Update organization team details.\nRequires `access_token` as a `Bearer {{token}}` in the `Authorization` header with `user-write` scope.","parameters":[{"name":"teamId","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"The request has succeeded.","content":{"application/json":{"schema":{"type":"object","required":["data"],"properties":{"data":{"$ref":"#/components/schemas/V3.Teams.TeamResponse"}}}}}},"400":{"description":"The server could not understand the request due to invalid syntax.","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"401":{"description":"Access is unauthorized.","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"402":{"description":"Client error","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"403":{"description":"Access is forbidden.","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"404":{"description":"The server cannot find the requested resource.","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"409":{"description":"The request conflicts with the current state of the server.","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"422":{"description":"Client error","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"500":{"description":"Server error","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"502":{"description":"Server error","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"503":{"description":"Service unavailable.","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"504":{"description":"Server error","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}}},"tags":["Teams"],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/V3.Teams.UpdateTeamRequest"}}}}}}}}
```

## Remove Team

> Remove team from the organization. Upon success, the team will be removed from the organization.\
> Requires \`access\_token\` as a \`Bearer {{token}}\` in the \`Authorization\` header with \`user-write\` scope.

```json
{"openapi":"3.1.0","info":{"title":"Squadcast","version":"1.0.0"},"tags":[{"name":"Teams"}],"servers":[{"url":"https://api.squadcast.com","description":"production US env","variables":{}},{"url":"https://api.eu.squadcast.com","description":"production EU env","variables":{}}],"security":[{"BearerAuth":[]}],"components":{"securitySchemes":{"BearerAuth":{"type":"http","scheme":"bearer"}},"schemas":{"Common.V3.ErrorMeta":{"type":"object","required":["status","error_message"],"properties":{"status":{"anyOf":[{"type":"string"},{"type":"integer"}]},"error_message":{"type":"string"}},"description":"Represents a single response containing data of type T."}}},"paths":{"/v3/teams/{teamId}":{"delete":{"operationId":"Teams_removeTeam","summary":"Remove Team","description":"Remove team from the organization. Upon success, the team will be removed from the organization.\nRequires `access_token` as a `Bearer {{token}}` in the `Authorization` header with `user-write` scope.","parameters":[{"name":"teamId","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"204":{"description":"There is no content to send for this request, but the headers may be useful. ","content":{"*/*":{"schema":{"type":"object"}}}},"400":{"description":"The server could not understand the request due to invalid syntax.","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"401":{"description":"Access is unauthorized.","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"402":{"description":"Client error","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"403":{"description":"Access is forbidden.","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"404":{"description":"The server cannot find the requested resource.","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"409":{"description":"The request conflicts with the current state of the server.","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"422":{"description":"Client error","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"500":{"description":"Server error","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"502":{"description":"Server error","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"503":{"description":"Service unavailable.","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"504":{"description":"Server error","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}}},"tags":["Teams"]}}}}
```

## Get All Team Members

> Returns all the team members of the organization.\
> Requires \`access\_token\` as a \`Bearer {{token}}\` in the \`Authorization\` header with \`read\` scope.

```json
{"openapi":"3.1.0","info":{"title":"Squadcast","version":"1.0.0"},"tags":[{"name":"Teams"}],"servers":[{"url":"https://api.squadcast.com","description":"production US env","variables":{}},{"url":"https://api.eu.squadcast.com","description":"production EU env","variables":{}}],"security":[{"BearerAuth":[]}],"components":{"securitySchemes":{"BearerAuth":{"type":"http","scheme":"bearer"}},"schemas":{"V3.Teams.TeamMemberResponse":{"type":"object","allOf":[{"$ref":"#/components/schemas/V3.Teams.TeamMember"}]},"V3.Teams.TeamMember":{"type":"object","required":["user_id"],"properties":{"user_id":{"type":"string"},"role":{"type":"string"},"role_ids":{"type":"array","items":{"type":"string"}},"abilities":{"$ref":"#/components/schemas/V3.Teams.Abilities"}}},"V3.Teams.Abilities":{"type":"object","properties":{"escalation_policies":{"type":"object","properties":{"create-escalation-policies":{"type":"boolean"},"read-escalation-policies":{"type":"boolean"},"update-escalation-policies":{"type":"boolean"},"delete-escalation-policies":{"type":"boolean"}}},"schedules":{"type":"object","properties":{"create-schedules":{"type":"boolean"},"read-schedules":{"type":"boolean"},"update-schedules":{"type":"boolean"},"delete-schedules":{"type":"boolean"}}},"services":{"type":"object","properties":{"create-services":{"type":"boolean"},"read-services":{"type":"boolean"},"update-services":{"type":"boolean"},"delete-services":{"type":"boolean"}}},"squads":{"type":"object","properties":{"create-squads":{"type":"boolean"},"read-squads":{"type":"boolean"},"update-squads":{"type":"boolean"},"delete-squads":{"type":"boolean"}}},"stakeholder_groups":{"type":"object","properties":{"create-stakeholder-groups":{"type":"boolean"},"read-stakeholder-groups":{"type":"boolean"},"update-stakeholder-groups":{"type":"boolean"},"delete-stakeholder-groups":{"type":"boolean"}}},"runbooks":{"type":"object","properties":{"create-runbooks":{"type":"boolean"},"read-runbooks":{"type":"boolean"},"update-runbooks":{"type":"boolean"},"delete-runbooks":{"type":"boolean"}}},"postmortems":{"type":"object","properties":{"create-postmortems":{"type":"boolean"},"read-postmortems":{"type":"boolean"},"update-postmortems":{"type":"boolean"},"delete-postmortems":{"type":"boolean"}}},"status_pages":{"type":"object","properties":{"create-status-pages":{"type":"boolean"},"read-status-pages":{"type":"boolean"},"update-status-pages":{"type":"boolean"},"delete-status-pages":{"type":"boolean"}}},"team_analytics":{"type":"object","properties":{"read-team-analytics":{"type":"boolean"}}},"slos":{"type":"object","properties":{"create-slos":{"type":"boolean"},"read-slos":{"type":"boolean"},"update-slos":{"type":"boolean"},"delete-slos":{"type":"boolean"}}},"webforms":{"type":"object","properties":{"create-webforms":{"type":"boolean"},"read-webforms":{"type":"boolean"},"update-webforms":{"type":"boolean"},"delete-webforms":{"type":"boolean"}}},"workflows":{"type":"object","properties":{"create-workflows":{"type":"boolean"},"read-workflows":{"type":"boolean"},"update-workflows":{"type":"boolean"},"delete-workflows":{"type":"boolean"}}},"ger":{"type":"object","properties":{"create-ger":{"type":"boolean"},"read-ger":{"type":"boolean"},"update-ger":{"type":"boolean"},"delete-ger":{"type":"boolean"}}},"routing_numbers":{"type":"object","properties":{"create-routing-numbers":{"type":"boolean"},"read-routing-numbers":{"type":"boolean"},"update-routing-numbers":{"type":"boolean"},"delete-routing-numbers":{"type":"boolean"}}},"global_oncall_reminder_rules":{"type":"object","properties":{"create-global-oncall-reminder-rules":{"type":"boolean"},"read-global-oncall-reminder-rules":{"type":"boolean"},"update-global-oncall-reminder-rules":{"type":"boolean"},"delete-global-oncall-reminder-rules":{"type":"boolean"}}}}},"Common.V3.ErrorMeta":{"type":"object","required":["status","error_message"],"properties":{"status":{"anyOf":[{"type":"string"},{"type":"integer"}]},"error_message":{"type":"string"}},"description":"Represents a single response containing data of type T."}}},"paths":{"/v3/teams/{teamId}/members":{"get":{"operationId":"Teams_getAllTeamMembers","summary":"Get All Team Members","description":"Returns all the team members of the organization.\nRequires `access_token` as a `Bearer {{token}}` in the `Authorization` header with `read` scope.","parameters":[{"name":"teamId","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"The request has succeeded.","content":{"application/json":{"schema":{"type":"object","required":["data"],"properties":{"data":{"type":"array","items":{"$ref":"#/components/schemas/V3.Teams.TeamMemberResponse"}}}}}}},"400":{"description":"The server could not understand the request due to invalid syntax.","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"401":{"description":"Access is unauthorized.","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"402":{"description":"Client error","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"403":{"description":"Access is forbidden.","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"404":{"description":"The server cannot find the requested resource.","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"409":{"description":"The request conflicts with the current state of the server.","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"422":{"description":"Client error","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"500":{"description":"Server error","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"502":{"description":"Server error","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"503":{"description":"Service unavailable.","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"504":{"description":"Server error","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}}},"tags":["Teams"]}}}}
```

## Add Team Member

> Add team member to the team.\
> Requires \`access\_token\` as a \`Bearer {{token}}\` in the \`Authorization\` header with \`user-write\` scope.

```json
{"openapi":"3.1.0","info":{"title":"Squadcast","version":"1.0.0"},"tags":[{"name":"Teams"}],"servers":[{"url":"https://api.squadcast.com","description":"production US env","variables":{}},{"url":"https://api.eu.squadcast.com","description":"production EU env","variables":{}}],"security":[{"BearerAuth":[]}],"components":{"securitySchemes":{"BearerAuth":{"type":"http","scheme":"bearer"}},"schemas":{"V3.Teams.TeamMemberResponse":{"type":"object","allOf":[{"$ref":"#/components/schemas/V3.Teams.TeamMember"}]},"V3.Teams.TeamMember":{"type":"object","required":["user_id"],"properties":{"user_id":{"type":"string"},"role":{"type":"string"},"role_ids":{"type":"array","items":{"type":"string"}},"abilities":{"$ref":"#/components/schemas/V3.Teams.Abilities"}}},"V3.Teams.Abilities":{"type":"object","properties":{"escalation_policies":{"type":"object","properties":{"create-escalation-policies":{"type":"boolean"},"read-escalation-policies":{"type":"boolean"},"update-escalation-policies":{"type":"boolean"},"delete-escalation-policies":{"type":"boolean"}}},"schedules":{"type":"object","properties":{"create-schedules":{"type":"boolean"},"read-schedules":{"type":"boolean"},"update-schedules":{"type":"boolean"},"delete-schedules":{"type":"boolean"}}},"services":{"type":"object","properties":{"create-services":{"type":"boolean"},"read-services":{"type":"boolean"},"update-services":{"type":"boolean"},"delete-services":{"type":"boolean"}}},"squads":{"type":"object","properties":{"create-squads":{"type":"boolean"},"read-squads":{"type":"boolean"},"update-squads":{"type":"boolean"},"delete-squads":{"type":"boolean"}}},"stakeholder_groups":{"type":"object","properties":{"create-stakeholder-groups":{"type":"boolean"},"read-stakeholder-groups":{"type":"boolean"},"update-stakeholder-groups":{"type":"boolean"},"delete-stakeholder-groups":{"type":"boolean"}}},"runbooks":{"type":"object","properties":{"create-runbooks":{"type":"boolean"},"read-runbooks":{"type":"boolean"},"update-runbooks":{"type":"boolean"},"delete-runbooks":{"type":"boolean"}}},"postmortems":{"type":"object","properties":{"create-postmortems":{"type":"boolean"},"read-postmortems":{"type":"boolean"},"update-postmortems":{"type":"boolean"},"delete-postmortems":{"type":"boolean"}}},"status_pages":{"type":"object","properties":{"create-status-pages":{"type":"boolean"},"read-status-pages":{"type":"boolean"},"update-status-pages":{"type":"boolean"},"delete-status-pages":{"type":"boolean"}}},"team_analytics":{"type":"object","properties":{"read-team-analytics":{"type":"boolean"}}},"slos":{"type":"object","properties":{"create-slos":{"type":"boolean"},"read-slos":{"type":"boolean"},"update-slos":{"type":"boolean"},"delete-slos":{"type":"boolean"}}},"webforms":{"type":"object","properties":{"create-webforms":{"type":"boolean"},"read-webforms":{"type":"boolean"},"update-webforms":{"type":"boolean"},"delete-webforms":{"type":"boolean"}}},"workflows":{"type":"object","properties":{"create-workflows":{"type":"boolean"},"read-workflows":{"type":"boolean"},"update-workflows":{"type":"boolean"},"delete-workflows":{"type":"boolean"}}},"ger":{"type":"object","properties":{"create-ger":{"type":"boolean"},"read-ger":{"type":"boolean"},"update-ger":{"type":"boolean"},"delete-ger":{"type":"boolean"}}},"routing_numbers":{"type":"object","properties":{"create-routing-numbers":{"type":"boolean"},"read-routing-numbers":{"type":"boolean"},"update-routing-numbers":{"type":"boolean"},"delete-routing-numbers":{"type":"boolean"}}},"global_oncall_reminder_rules":{"type":"object","properties":{"create-global-oncall-reminder-rules":{"type":"boolean"},"read-global-oncall-reminder-rules":{"type":"boolean"},"update-global-oncall-reminder-rules":{"type":"boolean"},"delete-global-oncall-reminder-rules":{"type":"boolean"}}}}},"Common.V3.ErrorMeta":{"type":"object","required":["status","error_message"],"properties":{"status":{"anyOf":[{"type":"string"},{"type":"integer"}]},"error_message":{"type":"string"}},"description":"Represents a single response containing data of type T."},"V3.Teams.AddTeamMemberRequest":{"type":"object","required":["user_id","role_ids"],"properties":{"user_id":{"type":"string"},"role_ids":{"type":"array","items":{"type":"string"},"description":"this field is required if you are using RBAC permission model"},"role":{"type":"string","description":"this field is required if you are using OBAC permission model"}}}}},"paths":{"/v3/teams/{teamId}/members":{"post":{"operationId":"Teams_addTeamMember","summary":"Add Team Member","description":"Add team member to the team.\nRequires `access_token` as a `Bearer {{token}}` in the `Authorization` header with `user-write` scope.","parameters":[{"name":"teamId","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"201":{"description":"The request has succeeded and a new resource has been created as a result.","content":{"application/json":{"schema":{"type":"object","required":["data"],"properties":{"data":{"$ref":"#/components/schemas/V3.Teams.TeamMemberResponse"}}}}}},"400":{"description":"The server could not understand the request due to invalid syntax.","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"401":{"description":"Access is unauthorized.","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"402":{"description":"Client error","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"403":{"description":"Access is forbidden.","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"404":{"description":"The server cannot find the requested resource.","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"409":{"description":"The request conflicts with the current state of the server.","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"422":{"description":"Client error","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"500":{"description":"Server error","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"502":{"description":"Server error","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"503":{"description":"Service unavailable.","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"504":{"description":"Server error","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}}},"tags":["Teams"],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/V3.Teams.AddTeamMemberRequest"}}}}}}}}
```

## Add Bulk Team Member

> Add team member to the team.\
> Requires \`access\_token\` as a \`Bearer {{token}}\` in the \`Authorization\` header with \`user-write\` scope.

```json
{"openapi":"3.1.0","info":{"title":"Squadcast","version":"1.0.0"},"tags":[{"name":"Teams"}],"servers":[{"url":"https://api.squadcast.com","description":"production US env","variables":{}},{"url":"https://api.eu.squadcast.com","description":"production EU env","variables":{}}],"security":[{"BearerAuth":[]}],"components":{"securitySchemes":{"BearerAuth":{"type":"http","scheme":"bearer"}},"schemas":{"Common.V3.ErrorMeta":{"type":"object","required":["status","error_message"],"properties":{"status":{"anyOf":[{"type":"string"},{"type":"integer"}]},"error_message":{"type":"string"}},"description":"Represents a single response containing data of type T."},"V3.Teams.AddBulkTeamMemberRequest":{"type":"object","required":["members"],"properties":{"members":{"type":"array","items":{"type":"object","properties":{"user_id":{"type":"string"},"role":{"type":"string","description":"this field is required if you are using OBAC permission model"},"role_ids":{"type":"array","items":{"type":"string"},"description":"this field is required if you are using RBAC permission model"}},"required":["user_id","role_ids"]}}}}}},"paths":{"/v3/teams/{teamId}/members/bulk":{"post":{"operationId":"Teams_addBulkTeamMember","summary":"Add Bulk Team Member","description":"Add team member to the team.\nRequires `access_token` as a `Bearer {{token}}` in the `Authorization` header with `user-write` scope.","parameters":[{"name":"teamId","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"The request has succeeded.","content":{"application/json":{"schema":{"type":"object","properties":{"data":{"type":"object","properties":{"team_id":{"type":"string"},"members":{"type":"array","items":{"type":"object","properties":{"user_id":{"type":"string"},"role_ids":{"type":"array","items":{"type":"string"}}}}}},"required":["team_id","members"]}},"required":["data"]}}}},"400":{"description":"The server could not understand the request due to invalid syntax.","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"401":{"description":"Access is unauthorized.","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"402":{"description":"Client error","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"403":{"description":"Access is forbidden.","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"404":{"description":"The server cannot find the requested resource.","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"409":{"description":"The request conflicts with the current state of the server.","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"422":{"description":"Client error","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"500":{"description":"Server error","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"502":{"description":"Server error","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"503":{"description":"Service unavailable.","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"504":{"description":"Server error","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}}},"tags":["Teams"],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/V3.Teams.AddBulkTeamMemberRequest"}}}}}}}}
```

## Remove Team Member

> Remove team member from the team. Upon success, the team member will be removed from the team.\
> Requires \`access\_token\` as a \`Bearer {{token}}\` in the \`Authorization\` header with \`user-write\` scope.

```json
{"openapi":"3.1.0","info":{"title":"Squadcast","version":"1.0.0"},"tags":[{"name":"Teams"}],"servers":[{"url":"https://api.squadcast.com","description":"production US env","variables":{}},{"url":"https://api.eu.squadcast.com","description":"production EU env","variables":{}}],"security":[{"BearerAuth":[]}],"components":{"securitySchemes":{"BearerAuth":{"type":"http","scheme":"bearer"}},"schemas":{"Common.V3.ErrorMeta":{"type":"object","required":["status","error_message"],"properties":{"status":{"anyOf":[{"type":"string"},{"type":"integer"}]},"error_message":{"type":"string"}},"description":"Represents a single response containing data of type T."}}},"paths":{"/v3/teams/{teamId}/members/{memberId}":{"delete":{"operationId":"Teams_removeTeamMember","summary":"Remove Team Member","description":"Remove team member from the team. Upon success, the team member will be removed from the team.\nRequires `access_token` as a `Bearer {{token}}` in the `Authorization` header with `user-write` scope.","parameters":[{"name":"teamId","in":"path","required":true,"schema":{"type":"string"}},{"name":"memberId","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"204":{"description":"There is no content to send for this request, but the headers may be useful. ","content":{"*/*":{"schema":{"type":"object"}}}},"400":{"description":"The server could not understand the request due to invalid syntax.","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"401":{"description":"Access is unauthorized.","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"402":{"description":"Client error","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"403":{"description":"Access is forbidden.","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"404":{"description":"The server cannot find the requested resource.","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"409":{"description":"The request conflicts with the current state of the server.","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"422":{"description":"Client error","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"500":{"description":"Server error","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"502":{"description":"Server error","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"503":{"description":"Service unavailable.","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"504":{"description":"Server error","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}}},"tags":["Teams"]}}}}
```

## Update Team Member

> Update team member.\
> Requires \`access\_token\` as a \`Bearer {{token}}\` in the \`Authorization\` header with \`user-write\` scope.

```json
{"openapi":"3.1.0","info":{"title":"Squadcast","version":"1.0.0"},"tags":[{"name":"Teams"}],"servers":[{"url":"https://api.squadcast.com","description":"production US env","variables":{}},{"url":"https://api.eu.squadcast.com","description":"production EU env","variables":{}}],"security":[{"BearerAuth":[]}],"components":{"securitySchemes":{"BearerAuth":{"type":"http","scheme":"bearer"}},"schemas":{"V3.Teams.TeamMemberResponse":{"type":"object","allOf":[{"$ref":"#/components/schemas/V3.Teams.TeamMember"}]},"V3.Teams.TeamMember":{"type":"object","required":["user_id"],"properties":{"user_id":{"type":"string"},"role":{"type":"string"},"role_ids":{"type":"array","items":{"type":"string"}},"abilities":{"$ref":"#/components/schemas/V3.Teams.Abilities"}}},"V3.Teams.Abilities":{"type":"object","properties":{"escalation_policies":{"type":"object","properties":{"create-escalation-policies":{"type":"boolean"},"read-escalation-policies":{"type":"boolean"},"update-escalation-policies":{"type":"boolean"},"delete-escalation-policies":{"type":"boolean"}}},"schedules":{"type":"object","properties":{"create-schedules":{"type":"boolean"},"read-schedules":{"type":"boolean"},"update-schedules":{"type":"boolean"},"delete-schedules":{"type":"boolean"}}},"services":{"type":"object","properties":{"create-services":{"type":"boolean"},"read-services":{"type":"boolean"},"update-services":{"type":"boolean"},"delete-services":{"type":"boolean"}}},"squads":{"type":"object","properties":{"create-squads":{"type":"boolean"},"read-squads":{"type":"boolean"},"update-squads":{"type":"boolean"},"delete-squads":{"type":"boolean"}}},"stakeholder_groups":{"type":"object","properties":{"create-stakeholder-groups":{"type":"boolean"},"read-stakeholder-groups":{"type":"boolean"},"update-stakeholder-groups":{"type":"boolean"},"delete-stakeholder-groups":{"type":"boolean"}}},"runbooks":{"type":"object","properties":{"create-runbooks":{"type":"boolean"},"read-runbooks":{"type":"boolean"},"update-runbooks":{"type":"boolean"},"delete-runbooks":{"type":"boolean"}}},"postmortems":{"type":"object","properties":{"create-postmortems":{"type":"boolean"},"read-postmortems":{"type":"boolean"},"update-postmortems":{"type":"boolean"},"delete-postmortems":{"type":"boolean"}}},"status_pages":{"type":"object","properties":{"create-status-pages":{"type":"boolean"},"read-status-pages":{"type":"boolean"},"update-status-pages":{"type":"boolean"},"delete-status-pages":{"type":"boolean"}}},"team_analytics":{"type":"object","properties":{"read-team-analytics":{"type":"boolean"}}},"slos":{"type":"object","properties":{"create-slos":{"type":"boolean"},"read-slos":{"type":"boolean"},"update-slos":{"type":"boolean"},"delete-slos":{"type":"boolean"}}},"webforms":{"type":"object","properties":{"create-webforms":{"type":"boolean"},"read-webforms":{"type":"boolean"},"update-webforms":{"type":"boolean"},"delete-webforms":{"type":"boolean"}}},"workflows":{"type":"object","properties":{"create-workflows":{"type":"boolean"},"read-workflows":{"type":"boolean"},"update-workflows":{"type":"boolean"},"delete-workflows":{"type":"boolean"}}},"ger":{"type":"object","properties":{"create-ger":{"type":"boolean"},"read-ger":{"type":"boolean"},"update-ger":{"type":"boolean"},"delete-ger":{"type":"boolean"}}},"routing_numbers":{"type":"object","properties":{"create-routing-numbers":{"type":"boolean"},"read-routing-numbers":{"type":"boolean"},"update-routing-numbers":{"type":"boolean"},"delete-routing-numbers":{"type":"boolean"}}},"global_oncall_reminder_rules":{"type":"object","properties":{"create-global-oncall-reminder-rules":{"type":"boolean"},"read-global-oncall-reminder-rules":{"type":"boolean"},"update-global-oncall-reminder-rules":{"type":"boolean"},"delete-global-oncall-reminder-rules":{"type":"boolean"}}}}},"Common.V3.ErrorMeta":{"type":"object","required":["status","error_message"],"properties":{"status":{"anyOf":[{"type":"string"},{"type":"integer"}]},"error_message":{"type":"string"}},"description":"Represents a single response containing data of type T."},"V3.Teams.UpdateTeamMemberRequest":{"type":"object","properties":{"role_ids":{"type":"array","items":{"type":"string"},"description":"this field is required if you are using RBAC permission model"},"role":{"type":"string","description":"this field is required if you are using OBAC permission model"}}}}},"paths":{"/v3/teams/{teamId}/members/{memberId}":{"patch":{"operationId":"Teams_updateTeamMember","summary":"Update Team Member","description":"Update team member.\nRequires `access_token` as a `Bearer {{token}}` in the `Authorization` header with `user-write` scope.","parameters":[{"name":"teamId","in":"path","required":true,"schema":{"type":"string"}},{"name":"memberId","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"The request has succeeded.","content":{"application/json":{"schema":{"type":"object","required":["data"],"properties":{"data":{"$ref":"#/components/schemas/V3.Teams.TeamMemberResponse"}}}}}},"400":{"description":"The server could not understand the request due to invalid syntax.","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"401":{"description":"Access is unauthorized.","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"402":{"description":"Client error","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"403":{"description":"Access is forbidden.","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"404":{"description":"The server cannot find the requested resource.","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"409":{"description":"The request conflicts with the current state of the server.","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"422":{"description":"Client error","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"500":{"description":"Server error","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"502":{"description":"Server error","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"503":{"description":"Service unavailable.","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"504":{"description":"Server error","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}}},"tags":["Teams"],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/V3.Teams.UpdateTeamMemberRequest"}}}}}}}}
```

## Get All Team Roles

> Returns all the roles of the teamId mentioned in params.\
> Requires \`access\_token\` as a \`Bearer {{token}}\` in the \`Authorization\` header with \`read\` scope.

```json
{"openapi":"3.1.0","info":{"title":"Squadcast","version":"1.0.0"},"tags":[{"name":"Teams"}],"servers":[{"url":"https://api.squadcast.com","description":"production US env","variables":{}},{"url":"https://api.eu.squadcast.com","description":"production EU env","variables":{}}],"security":[{"BearerAuth":[]}],"components":{"securitySchemes":{"BearerAuth":{"type":"http","scheme":"bearer"}},"schemas":{"V3.Teams.TeamRoleResponse":{"type":"object","allOf":[{"$ref":"#/components/schemas/V3.Teams.TeamRole"}]},"V3.Teams.TeamRole":{"type":"object","required":["id","name","slug","default"],"properties":{"id":{"type":"string"},"name":{"type":"string"},"slug":{"type":"string"},"default":{"type":"boolean"},"abilities":{"$ref":"#/components/schemas/V3.Teams.Abilities"}}},"V3.Teams.Abilities":{"type":"object","properties":{"escalation_policies":{"type":"object","properties":{"create-escalation-policies":{"type":"boolean"},"read-escalation-policies":{"type":"boolean"},"update-escalation-policies":{"type":"boolean"},"delete-escalation-policies":{"type":"boolean"}}},"schedules":{"type":"object","properties":{"create-schedules":{"type":"boolean"},"read-schedules":{"type":"boolean"},"update-schedules":{"type":"boolean"},"delete-schedules":{"type":"boolean"}}},"services":{"type":"object","properties":{"create-services":{"type":"boolean"},"read-services":{"type":"boolean"},"update-services":{"type":"boolean"},"delete-services":{"type":"boolean"}}},"squads":{"type":"object","properties":{"create-squads":{"type":"boolean"},"read-squads":{"type":"boolean"},"update-squads":{"type":"boolean"},"delete-squads":{"type":"boolean"}}},"stakeholder_groups":{"type":"object","properties":{"create-stakeholder-groups":{"type":"boolean"},"read-stakeholder-groups":{"type":"boolean"},"update-stakeholder-groups":{"type":"boolean"},"delete-stakeholder-groups":{"type":"boolean"}}},"runbooks":{"type":"object","properties":{"create-runbooks":{"type":"boolean"},"read-runbooks":{"type":"boolean"},"update-runbooks":{"type":"boolean"},"delete-runbooks":{"type":"boolean"}}},"postmortems":{"type":"object","properties":{"create-postmortems":{"type":"boolean"},"read-postmortems":{"type":"boolean"},"update-postmortems":{"type":"boolean"},"delete-postmortems":{"type":"boolean"}}},"status_pages":{"type":"object","properties":{"create-status-pages":{"type":"boolean"},"read-status-pages":{"type":"boolean"},"update-status-pages":{"type":"boolean"},"delete-status-pages":{"type":"boolean"}}},"team_analytics":{"type":"object","properties":{"read-team-analytics":{"type":"boolean"}}},"slos":{"type":"object","properties":{"create-slos":{"type":"boolean"},"read-slos":{"type":"boolean"},"update-slos":{"type":"boolean"},"delete-slos":{"type":"boolean"}}},"webforms":{"type":"object","properties":{"create-webforms":{"type":"boolean"},"read-webforms":{"type":"boolean"},"update-webforms":{"type":"boolean"},"delete-webforms":{"type":"boolean"}}},"workflows":{"type":"object","properties":{"create-workflows":{"type":"boolean"},"read-workflows":{"type":"boolean"},"update-workflows":{"type":"boolean"},"delete-workflows":{"type":"boolean"}}},"ger":{"type":"object","properties":{"create-ger":{"type":"boolean"},"read-ger":{"type":"boolean"},"update-ger":{"type":"boolean"},"delete-ger":{"type":"boolean"}}},"routing_numbers":{"type":"object","properties":{"create-routing-numbers":{"type":"boolean"},"read-routing-numbers":{"type":"boolean"},"update-routing-numbers":{"type":"boolean"},"delete-routing-numbers":{"type":"boolean"}}},"global_oncall_reminder_rules":{"type":"object","properties":{"create-global-oncall-reminder-rules":{"type":"boolean"},"read-global-oncall-reminder-rules":{"type":"boolean"},"update-global-oncall-reminder-rules":{"type":"boolean"},"delete-global-oncall-reminder-rules":{"type":"boolean"}}}}},"Common.V3.ErrorMeta":{"type":"object","required":["status","error_message"],"properties":{"status":{"anyOf":[{"type":"string"},{"type":"integer"}]},"error_message":{"type":"string"}},"description":"Represents a single response containing data of type T."}}},"paths":{"/v3/teams/{teamId}/roles":{"get":{"operationId":"Teams_getAllTeamRoles","summary":"Get All Team Roles","description":"Returns all the roles of the teamId mentioned in params.\nRequires `access_token` as a `Bearer {{token}}` in the `Authorization` header with `read` scope.","parameters":[{"name":"teamId","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"The request has succeeded.","content":{"application/json":{"schema":{"type":"object","required":["data"],"properties":{"data":{"type":"array","items":{"$ref":"#/components/schemas/V3.Teams.TeamRoleResponse"}}}}}}},"400":{"description":"The server could not understand the request due to invalid syntax.","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"401":{"description":"Access is unauthorized.","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"402":{"description":"Client error","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"403":{"description":"Access is forbidden.","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"404":{"description":"The server cannot find the requested resource.","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"409":{"description":"The request conflicts with the current state of the server.","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"422":{"description":"Client error","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"500":{"description":"Server error","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"502":{"description":"Server error","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"503":{"description":"Service unavailable.","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"504":{"description":"Server error","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}}},"tags":["Teams"]}}}}
```

## Create Team Role

> Add team's role to the team with given ability if not exists. Returns the role object in response.\
> Requires \`access\_token\` as a \`Bearer {{token}}\` in the \`Authorization\` header with \`user-write\` scope.

```json
{"openapi":"3.1.0","info":{"title":"Squadcast","version":"1.0.0"},"tags":[{"name":"Teams"}],"servers":[{"url":"https://api.squadcast.com","description":"production US env","variables":{}},{"url":"https://api.eu.squadcast.com","description":"production EU env","variables":{}}],"security":[{"BearerAuth":[]}],"components":{"securitySchemes":{"BearerAuth":{"type":"http","scheme":"bearer"}},"schemas":{"V3.Teams.TeamBaseResponse":{"type":"object","allOf":[{"$ref":"#/components/schemas/V3.Teams.TeamBase"}]},"V3.Teams.TeamBase":{"type":"object","required":["id","created_at","updated_at","created_by","organization_id","name","description","slug","members","default"],"properties":{"id":{"type":"string"},"created_at":{"type":"string"},"updated_at":{"type":"string"},"created_by":{"type":"string"},"organization_id":{"type":"string"},"name":{"type":"string"},"description":{"type":"string"},"slug":{"type":"string"},"members":{"type":"array","items":{"$ref":"#/components/schemas/V3.Teams.TeamMember"}},"roles":{"type":"array","items":{"$ref":"#/components/schemas/V3.Teams.TeamRole"}},"default":{"type":"boolean"}}},"V3.Teams.TeamMember":{"type":"object","required":["user_id"],"properties":{"user_id":{"type":"string"},"role":{"type":"string"},"role_ids":{"type":"array","items":{"type":"string"}},"abilities":{"$ref":"#/components/schemas/V3.Teams.Abilities"}}},"V3.Teams.Abilities":{"type":"object","properties":{"escalation_policies":{"type":"object","properties":{"create-escalation-policies":{"type":"boolean"},"read-escalation-policies":{"type":"boolean"},"update-escalation-policies":{"type":"boolean"},"delete-escalation-policies":{"type":"boolean"}}},"schedules":{"type":"object","properties":{"create-schedules":{"type":"boolean"},"read-schedules":{"type":"boolean"},"update-schedules":{"type":"boolean"},"delete-schedules":{"type":"boolean"}}},"services":{"type":"object","properties":{"create-services":{"type":"boolean"},"read-services":{"type":"boolean"},"update-services":{"type":"boolean"},"delete-services":{"type":"boolean"}}},"squads":{"type":"object","properties":{"create-squads":{"type":"boolean"},"read-squads":{"type":"boolean"},"update-squads":{"type":"boolean"},"delete-squads":{"type":"boolean"}}},"stakeholder_groups":{"type":"object","properties":{"create-stakeholder-groups":{"type":"boolean"},"read-stakeholder-groups":{"type":"boolean"},"update-stakeholder-groups":{"type":"boolean"},"delete-stakeholder-groups":{"type":"boolean"}}},"runbooks":{"type":"object","properties":{"create-runbooks":{"type":"boolean"},"read-runbooks":{"type":"boolean"},"update-runbooks":{"type":"boolean"},"delete-runbooks":{"type":"boolean"}}},"postmortems":{"type":"object","properties":{"create-postmortems":{"type":"boolean"},"read-postmortems":{"type":"boolean"},"update-postmortems":{"type":"boolean"},"delete-postmortems":{"type":"boolean"}}},"status_pages":{"type":"object","properties":{"create-status-pages":{"type":"boolean"},"read-status-pages":{"type":"boolean"},"update-status-pages":{"type":"boolean"},"delete-status-pages":{"type":"boolean"}}},"team_analytics":{"type":"object","properties":{"read-team-analytics":{"type":"boolean"}}},"slos":{"type":"object","properties":{"create-slos":{"type":"boolean"},"read-slos":{"type":"boolean"},"update-slos":{"type":"boolean"},"delete-slos":{"type":"boolean"}}},"webforms":{"type":"object","properties":{"create-webforms":{"type":"boolean"},"read-webforms":{"type":"boolean"},"update-webforms":{"type":"boolean"},"delete-webforms":{"type":"boolean"}}},"workflows":{"type":"object","properties":{"create-workflows":{"type":"boolean"},"read-workflows":{"type":"boolean"},"update-workflows":{"type":"boolean"},"delete-workflows":{"type":"boolean"}}},"ger":{"type":"object","properties":{"create-ger":{"type":"boolean"},"read-ger":{"type":"boolean"},"update-ger":{"type":"boolean"},"delete-ger":{"type":"boolean"}}},"routing_numbers":{"type":"object","properties":{"create-routing-numbers":{"type":"boolean"},"read-routing-numbers":{"type":"boolean"},"update-routing-numbers":{"type":"boolean"},"delete-routing-numbers":{"type":"boolean"}}},"global_oncall_reminder_rules":{"type":"object","properties":{"create-global-oncall-reminder-rules":{"type":"boolean"},"read-global-oncall-reminder-rules":{"type":"boolean"},"update-global-oncall-reminder-rules":{"type":"boolean"},"delete-global-oncall-reminder-rules":{"type":"boolean"}}}}},"V3.Teams.TeamRole":{"type":"object","required":["id","name","slug","default"],"properties":{"id":{"type":"string"},"name":{"type":"string"},"slug":{"type":"string"},"default":{"type":"boolean"},"abilities":{"$ref":"#/components/schemas/V3.Teams.Abilities"}}},"Common.V3.ErrorMeta":{"type":"object","required":["status","error_message"],"properties":{"status":{"anyOf":[{"type":"string"},{"type":"integer"}]},"error_message":{"type":"string"}},"description":"Represents a single response containing data of type T."},"V3.Teams.CreateTeamRoleRequest":{"type":"object","required":["name","abilities"],"properties":{"name":{"type":"string"},"abilities":{"$ref":"#/components/schemas/V3.Teams.Abilities"}}}}},"paths":{"/v3/teams/{teamId}/roles":{"post":{"operationId":"Teams_createTeamRole","summary":"Create Team Role","description":"Add team's role to the team with given ability if not exists. Returns the role object in response.\nRequires `access_token` as a `Bearer {{token}}` in the `Authorization` header with `user-write` scope.","parameters":[{"name":"teamId","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"201":{"description":"The request has succeeded and a new resource has been created as a result.","content":{"application/json":{"schema":{"type":"object","required":["data"],"properties":{"data":{"$ref":"#/components/schemas/V3.Teams.TeamBaseResponse"}}}}}},"400":{"description":"The server could not understand the request due to invalid syntax.","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"401":{"description":"Access is unauthorized.","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"402":{"description":"Client error","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"403":{"description":"Access is forbidden.","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"404":{"description":"The server cannot find the requested resource.","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"409":{"description":"The request conflicts with the current state of the server.","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"422":{"description":"Client error","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"500":{"description":"Server error","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"502":{"description":"Server error","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"503":{"description":"Service unavailable.","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"504":{"description":"Server error","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}}},"tags":["Teams"],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/V3.Teams.CreateTeamRoleRequest"}}}}}}}}
```

## Update Team Role

> Update team's role abilities and name.\
> Requires \`access\_token\` as a \`Bearer {{token}}\` in the \`Authorization\` header with \`user-write\` scope.

```json
{"openapi":"3.1.0","info":{"title":"Squadcast","version":"1.0.0"},"tags":[{"name":"Teams"}],"servers":[{"url":"https://api.squadcast.com","description":"production US env","variables":{}},{"url":"https://api.eu.squadcast.com","description":"production EU env","variables":{}}],"security":[{"BearerAuth":[]}],"components":{"securitySchemes":{"BearerAuth":{"type":"http","scheme":"bearer"}},"schemas":{"V3.Teams.TeamBaseResponse":{"type":"object","allOf":[{"$ref":"#/components/schemas/V3.Teams.TeamBase"}]},"V3.Teams.TeamBase":{"type":"object","required":["id","created_at","updated_at","created_by","organization_id","name","description","slug","members","default"],"properties":{"id":{"type":"string"},"created_at":{"type":"string"},"updated_at":{"type":"string"},"created_by":{"type":"string"},"organization_id":{"type":"string"},"name":{"type":"string"},"description":{"type":"string"},"slug":{"type":"string"},"members":{"type":"array","items":{"$ref":"#/components/schemas/V3.Teams.TeamMember"}},"roles":{"type":"array","items":{"$ref":"#/components/schemas/V3.Teams.TeamRole"}},"default":{"type":"boolean"}}},"V3.Teams.TeamMember":{"type":"object","required":["user_id"],"properties":{"user_id":{"type":"string"},"role":{"type":"string"},"role_ids":{"type":"array","items":{"type":"string"}},"abilities":{"$ref":"#/components/schemas/V3.Teams.Abilities"}}},"V3.Teams.Abilities":{"type":"object","properties":{"escalation_policies":{"type":"object","properties":{"create-escalation-policies":{"type":"boolean"},"read-escalation-policies":{"type":"boolean"},"update-escalation-policies":{"type":"boolean"},"delete-escalation-policies":{"type":"boolean"}}},"schedules":{"type":"object","properties":{"create-schedules":{"type":"boolean"},"read-schedules":{"type":"boolean"},"update-schedules":{"type":"boolean"},"delete-schedules":{"type":"boolean"}}},"services":{"type":"object","properties":{"create-services":{"type":"boolean"},"read-services":{"type":"boolean"},"update-services":{"type":"boolean"},"delete-services":{"type":"boolean"}}},"squads":{"type":"object","properties":{"create-squads":{"type":"boolean"},"read-squads":{"type":"boolean"},"update-squads":{"type":"boolean"},"delete-squads":{"type":"boolean"}}},"stakeholder_groups":{"type":"object","properties":{"create-stakeholder-groups":{"type":"boolean"},"read-stakeholder-groups":{"type":"boolean"},"update-stakeholder-groups":{"type":"boolean"},"delete-stakeholder-groups":{"type":"boolean"}}},"runbooks":{"type":"object","properties":{"create-runbooks":{"type":"boolean"},"read-runbooks":{"type":"boolean"},"update-runbooks":{"type":"boolean"},"delete-runbooks":{"type":"boolean"}}},"postmortems":{"type":"object","properties":{"create-postmortems":{"type":"boolean"},"read-postmortems":{"type":"boolean"},"update-postmortems":{"type":"boolean"},"delete-postmortems":{"type":"boolean"}}},"status_pages":{"type":"object","properties":{"create-status-pages":{"type":"boolean"},"read-status-pages":{"type":"boolean"},"update-status-pages":{"type":"boolean"},"delete-status-pages":{"type":"boolean"}}},"team_analytics":{"type":"object","properties":{"read-team-analytics":{"type":"boolean"}}},"slos":{"type":"object","properties":{"create-slos":{"type":"boolean"},"read-slos":{"type":"boolean"},"update-slos":{"type":"boolean"},"delete-slos":{"type":"boolean"}}},"webforms":{"type":"object","properties":{"create-webforms":{"type":"boolean"},"read-webforms":{"type":"boolean"},"update-webforms":{"type":"boolean"},"delete-webforms":{"type":"boolean"}}},"workflows":{"type":"object","properties":{"create-workflows":{"type":"boolean"},"read-workflows":{"type":"boolean"},"update-workflows":{"type":"boolean"},"delete-workflows":{"type":"boolean"}}},"ger":{"type":"object","properties":{"create-ger":{"type":"boolean"},"read-ger":{"type":"boolean"},"update-ger":{"type":"boolean"},"delete-ger":{"type":"boolean"}}},"routing_numbers":{"type":"object","properties":{"create-routing-numbers":{"type":"boolean"},"read-routing-numbers":{"type":"boolean"},"update-routing-numbers":{"type":"boolean"},"delete-routing-numbers":{"type":"boolean"}}},"global_oncall_reminder_rules":{"type":"object","properties":{"create-global-oncall-reminder-rules":{"type":"boolean"},"read-global-oncall-reminder-rules":{"type":"boolean"},"update-global-oncall-reminder-rules":{"type":"boolean"},"delete-global-oncall-reminder-rules":{"type":"boolean"}}}}},"V3.Teams.TeamRole":{"type":"object","required":["id","name","slug","default"],"properties":{"id":{"type":"string"},"name":{"type":"string"},"slug":{"type":"string"},"default":{"type":"boolean"},"abilities":{"$ref":"#/components/schemas/V3.Teams.Abilities"}}},"Common.V3.ErrorMeta":{"type":"object","required":["status","error_message"],"properties":{"status":{"anyOf":[{"type":"string"},{"type":"integer"}]},"error_message":{"type":"string"}},"description":"Represents a single response containing data of type T."},"V3.Teams.UpdateTeamRoleRequest":{"type":"object","properties":{"name":{"type":"string"},"abilities":{"$ref":"#/components/schemas/V3.Teams.Abilities"}}}}},"paths":{"/v3/teams/{teamId}/roles/{roleId}":{"put":{"operationId":"Teams_updateTeamRole","summary":"Update Team Role","description":"Update team's role abilities and name.\nRequires `access_token` as a `Bearer {{token}}` in the `Authorization` header with `user-write` scope.","parameters":[{"name":"teamId","in":"path","required":true,"schema":{"type":"string"}},{"name":"roleId","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"The request has succeeded.","content":{"application/json":{"schema":{"type":"object","required":["data"],"properties":{"data":{"$ref":"#/components/schemas/V3.Teams.TeamBaseResponse"}}}}}},"400":{"description":"The server could not understand the request due to invalid syntax.","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"401":{"description":"Access is unauthorized.","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"402":{"description":"Client error","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"403":{"description":"Access is forbidden.","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"404":{"description":"The server cannot find the requested resource.","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"409":{"description":"The request conflicts with the current state of the server.","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"422":{"description":"Client error","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"500":{"description":"Server error","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"502":{"description":"Server error","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"503":{"description":"Service unavailable.","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"504":{"description":"Server error","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}}},"tags":["Teams"],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/V3.Teams.UpdateTeamRoleRequest"}}}}}}}}
```

## Remove Team Role

> Remove team's role from the team. Upon success, the team's role will be removed from the team.\
> Requires \`access\_token\` as a \`Bearer {{token}}\` in the \`Authorization\` header with \`user-write\` scope.

```json
{"openapi":"3.1.0","info":{"title":"Squadcast","version":"1.0.0"},"tags":[{"name":"Teams"}],"servers":[{"url":"https://api.squadcast.com","description":"production US env","variables":{}},{"url":"https://api.eu.squadcast.com","description":"production EU env","variables":{}}],"security":[{"BearerAuth":[]}],"components":{"securitySchemes":{"BearerAuth":{"type":"http","scheme":"bearer"}},"schemas":{"Common.V3.ErrorMeta":{"type":"object","required":["status","error_message"],"properties":{"status":{"anyOf":[{"type":"string"},{"type":"integer"}]},"error_message":{"type":"string"}},"description":"Represents a single response containing data of type T."}}},"paths":{"/v3/teams/{teamId}/roles/{roleId}":{"delete":{"operationId":"Teams_removeTeamRole","summary":"Remove Team Role","description":"Remove team's role from the team. Upon success, the team's role will be removed from the team.\nRequires `access_token` as a `Bearer {{token}}` in the `Authorization` header with `user-write` scope.","parameters":[{"name":"teamId","in":"path","required":true,"schema":{"type":"string"}},{"name":"roleId","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"204":{"description":"There is no content to send for this request, but the headers may be useful. ","content":{"*/*":{"schema":{"type":"object"}}}},"400":{"description":"The server could not understand the request due to invalid syntax.","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"401":{"description":"Access is unauthorized.","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"402":{"description":"Client error","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"403":{"description":"Access is forbidden.","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"404":{"description":"The server cannot find the requested resource.","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"409":{"description":"The request conflicts with the current state of the server.","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"422":{"description":"Client error","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"500":{"description":"Server error","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"502":{"description":"Server error","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"503":{"description":"Service unavailable.","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"504":{"description":"Server error","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}}},"tags":["Teams"]}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://developers.incidents.cloud.solarwinds.com/api-reference/teams.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
